=== modified file 'check_input/models.py'
--- check_input/models.py	2018-04-26 21:10:19 +0000
+++ check_input/models.py	2019-04-11 15:20:33 +0000
@@ -31,7 +31,7 @@
         ordering = ['content_type_id']
         default_permissions = ('change', 'delete',)
 
-    def __unicode__(self):
+    def __str__(self):
         return self.text
 
     def clean(self):

=== modified file 'mainpage/templatetags/wl_markdown.py'
--- mainpage/templatetags/wl_markdown.py	2019-04-11 15:06:09 +0000
+++ mainpage/templatetags/wl_markdown.py	2019-04-11 15:20:33 +0000
@@ -11,7 +11,7 @@
 
 from django import template
 from django.conf import settings
-from django.utils.encoding import smart_str, force_unicode
+from django.utils.encoding import smart_bytes, force_text
 from django.utils.safestring import mark_safe
 from django.conf import settings
 from markdownextensions.semanticwikilinks.mdx_semanticwikilinks import SemanticWikiLinkExtension
@@ -218,7 +218,7 @@
     """Apply wl specific things, like smileys or colored links."""
 
     beautify = keyw.pop('beautify', True)
-    html = smart_str(markdown(value, extensions=md_extensions))
+    html = smart_bytes(markdown(value, extensions=md_extensions))
 
     # Sanitize posts from potencial untrusted users (Forum/Wiki/Maps)
     if 'bleachit' in args:

=== modified file 'news/models.py'
--- news/models.py	2019-04-11 15:06:09 +0000
+++ news/models.py	2019-04-11 15:20:33 +0000
@@ -29,7 +29,7 @@
         db_table = 'news_categories'
         ordering = ('title',)
 
-    def __unicode__(self):
+    def __str__(self):
         return '%s' % self.title
 
     def get_absolute_url(self):
@@ -65,7 +65,7 @@
         ordering = ('-publish',)
         get_latest_by = 'publish'
 
-    def __unicode__(self):
+    def __str__(self):
         return '%s' % self.title
 
     #########

=== modified file 'notification/models.py'
--- notification/models.py	2019-04-11 15:06:09 +0000
+++ notification/models.py	2019-04-11 15:20:33 +0000
@@ -48,7 +48,7 @@
     # number
     default = models.IntegerField(_('default'))
 
-    def __unicode__(self):
+    def __str__(self):
         return self.label
 
     class Meta:

=== modified file 'privacy_policy/models.py'
--- privacy_policy/models.py	2019-04-11 15:06:09 +0000
+++ privacy_policy/models.py	2019-04-11 15:20:33 +0000
@@ -17,7 +17,7 @@
     class Meta:
         ordering = ['language']
 
-    def __unicode__(self):
+    def __str__(self):
         return self.language
     
     def get_absolute_url(self):

=== modified file 'pybb/models.py'
--- pybb/models.py	2019-04-11 15:06:09 +0000
+++ pybb/models.py	2019-04-11 15:20:33 +0000
@@ -61,7 +61,7 @@
         # See also settings.INTERNAL_PERM
         permissions = (("can_access_internal", "Can access Internal Forums"),)
 
-    def __unicode__(self):
+    def __str__(self):
         return self.name
 
     def forum_count(self):
@@ -100,7 +100,7 @@
         verbose_name = _('Forum')
         verbose_name_plural = _('Forums')
 
-    def __unicode__(self):
+    def __str__(self):
         return self.name
 
     def topic_count(self):
@@ -154,7 +154,7 @@
         verbose_name = _('Topic')
         verbose_name_plural = _('Topics')
 
-    def __unicode__(self):
+    def __str__(self):
         return self.name
 
     @property
@@ -308,7 +308,7 @@
         tail = len(self.body) > LIMIT and '...' or ''
         return self.body[:LIMIT] + tail
 
-    __unicode__ = summary
+    __str__ = summary
 
     def save(self, *args, **kwargs):
         if self.created is None:
@@ -380,7 +380,7 @@
             self.time = datetime.now()
         super(Read, self).save(*args, **kwargs)
 
-    def __unicode__(self):
+    def __str__(self):
         return 'T[%d], U[%d]: %s' % (self.topic.id, self.user.id, str(self.time))
 
 
@@ -401,7 +401,7 @@
                 str(self.id) + settings.SECRET_KEY).hexdigest()
         super(Attachment, self).save(*args, **kwargs)
 
-    def __unicode__(self):
+    def __str__(self):
         return self.name
 
     def get_absolute_url(self):

=== modified file 'pybb/templatetags/pybb_extras.py'
--- pybb/templatetags/pybb_extras.py	2019-04-11 15:06:09 +0000
+++ pybb/templatetags/pybb_extras.py	2019-04-11 15:20:33 +0000
@@ -7,7 +7,7 @@
 from django import template
 from django.utils.safestring import mark_safe
 from django.template.defaultfilters import stringfilter
-from django.utils.encoding import smart_unicode
+from django.utils.encoding import smart_text
 from django.utils.html import escape
 
 from pybb.models import Post, Forum, Topic, Read
@@ -47,7 +47,7 @@
 
     url = hasattr(
         object, 'get_absolute_url') and object.get_absolute_url() or None
-    anchor = anchor or smart_unicode(object)
+    anchor = anchor or smart_text(object)
     return mark_safe('<a href="%s">%s</a>' % (url, escape(anchor)))
 
 

=== modified file 'pybb/util.py'
--- pybb/util.py	2019-04-11 15:06:09 +0000
+++ pybb/util.py	2019-04-11 15:20:33 +0000
@@ -10,7 +10,7 @@
 from django.http import HttpResponse
 from django.utils.functional import Promise
 from django.utils.translation import check_for_language
-from django.utils.encoding import force_unicode
+from django.utils.encoding import force_text
 from django import forms
 from django.core.paginator import Paginator, EmptyPage, InvalidPage
 from django.conf import settings
@@ -76,7 +76,7 @@
 
     def default(self, o):
         if isinstance(o, Promise):
-            return force_unicode(o)
+            return force_text(o)
         else:
             return super(LazyJSONEncoder, self).default(o)
 

=== modified file 'threadedcomments/admin.py'
--- threadedcomments/admin.py	2018-10-04 16:00:34 +0000
+++ threadedcomments/admin.py	2019-04-11 15:20:33 +0000
@@ -12,7 +12,7 @@
                                 'date_modified', 'date_approved', 'is_approved')}),
     )
     list_display = ('user', 'date_submitted', 'content_type',
-                    'get_content_object', 'parent', '__unicode__')
+                    'get_content_object', 'parent', '__str__')
     list_filter = ('date_submitted',)
     date_hierarchy = 'date_submitted'
     search_fields = ('comment', 'user__username')

=== modified file 'threadedcomments/models.py'
--- threadedcomments/models.py	2018-10-04 16:00:34 +0000
+++ threadedcomments/models.py	2019-04-11 15:20:33 +0000
@@ -6,7 +6,7 @@
 from django.db.models import Q
 from django.utils.translation import ugettext_lazy as _
 from django.conf import settings
-from django.utils.encoding import force_unicode
+from django.utils.encoding import force_text
 
 DEFAULT_MAX_COMMENT_LENGTH = getattr(
     settings, 'DEFAULT_MAX_COMMENT_LENGTH', 1000)
@@ -178,7 +178,7 @@
     objects = ThreadedCommentManager()
     public = PublicThreadedCommentManager()
 
-    def __unicode__(self):
+    def __str__(self):
         if len(self.comment) > 50:
             return self.comment[:50] + '...'
         return self.comment[:50]

=== modified file 'threadedcomments/templatetags/gravatar.py'
--- threadedcomments/templatetags/gravatar.py	2019-04-11 15:06:09 +0000
+++ threadedcomments/templatetags/gravatar.py	2019-04-11 15:20:33 +0000
@@ -1,7 +1,7 @@
 from django import template
 from django.conf import settings
 from django.template.defaultfilters import stringfilter
-from django.utils.encoding import smart_str
+from django.utils.encoding import smart_bytes
 from django.utils.safestring import mark_safe
 from hashlib import md5 as md5_constructor
 import urllib.request, urllib.parse, urllib.error
@@ -50,7 +50,7 @@
         name = name.lower()
         if name not in ('rating', 'size', 'default', 'as'):
             raise template.TemplateSyntaxError('%r tag: Invalid argument %r.' % tagname).with_traceback(name)
-        args[smart_str(name)] = value
+        args[smart_bytes(name)] = value
     return GravatarUrlNode(**args)
 
 

=== modified file 'threadedcomments/templatetags/threadedcommentstags.py'
--- threadedcomments/templatetags/threadedcommentstags.py	2019-04-11 15:06:09 +0000
+++ threadedcomments/templatetags/threadedcommentstags.py	2019-04-11 15:20:33 +0000
@@ -2,7 +2,7 @@
 from django import template
 from django.contrib.contenttypes.models import ContentType
 from django.urls import reverse
-from django.utils.encoding import force_unicode
+from django.utils.encoding import force_text
 from django.utils.safestring import mark_safe
 from threadedcomments.models import ThreadedComment
 from threadedcomments.forms import ThreadedCommentForm

=== modified file 'threadedcomments/utils.py'
--- threadedcomments/utils.py	2016-12-13 18:28:51 +0000
+++ threadedcomments/utils.py	2019-04-11 15:20:33 +0000
@@ -1,7 +1,7 @@
 from django.core.serializers import serialize
 from django.http import HttpResponse
 from django.utils.functional import Promise
-from django.utils.encoding import force_unicode
+from django.utils.encoding import force_text
 import json as simplejson
 
 
@@ -9,7 +9,7 @@
 
     def default(self, obj):
         if isinstance(obj, Promise):
-            return force_unicode(obj)
+            return force_text(obj)
         return obj
 
 

=== modified file 'wiki/models.py'
--- wiki/models.py	2019-04-11 15:06:09 +0000
+++ wiki/models.py	2019-04-11 15:20:33 +0000
@@ -116,7 +116,7 @@
         changeset = self.changeset_set.get(revision=to_revision)
         return changeset.compare_to(from_revision)
 
-    def __unicode__(self):
+    def __str__(self):
         return self.title
 
 
@@ -163,7 +163,7 @@
         ordering = ('-revision',)
         app_label = 'wiki'
 
-    def __unicode__(self):
+    def __str__(self):
         return '#%s' % self.revision
 
     def get_absolute_url(self):

=== modified file 'wiki/templatetags/wiki_extras.py'
--- wiki/templatetags/wiki_extras.py	2018-04-08 15:53:05 +0000
+++ wiki/templatetags/wiki_extras.py	2019-04-11 15:20:33 +0000
@@ -3,7 +3,7 @@
 import re
 from django import template
 from django.conf import settings
-from django.utils.encoding import force_unicode
+from django.utils.encoding import force_text
 from django.utils.safestring import mark_safe
 
 
@@ -15,7 +15,7 @@
     """We need to restore " " for textile to work properly."""
     s = s.replace('&quot;', '"')
     s = s.replace('&quot;', '"')
-    return force_unicode(s)
+    return force_text(s)
 restore_commandsymbols.is_safe = True
 
 

=== modified file 'wlhelp/models.py'
--- wlhelp/models.py	2019-04-11 15:06:09 +0000
+++ wlhelp/models.py	2019-04-11 15:20:33 +0000
@@ -13,7 +13,7 @@
         ordering = ['name']
 
 
-    def __unicode__(self):
+    def __str__(self):
         return '%s' % self.name
 
 
@@ -38,7 +38,7 @@
         ordering = ['name']
 
 
-    def __unicode__(self):
+    def __str__(self):
         return '%s' % self.name
 
 
@@ -59,7 +59,7 @@
         ordering = ['name']
 
 
-    def __unicode__(self):
+    def __str__(self):
         return '%s' % self.name
 
 
@@ -203,5 +203,5 @@
         for c, w in zip(count, self.store_wares.all()):
             yield [w] * c
 
-    def __unicode__(self):
+    def __str__(self):
         return "%s/%s" % (self.tribe.name, self.name)

=== modified file 'wlimages/admin.py'
--- wlimages/admin.py	2019-04-11 15:06:09 +0000
+++ wlimages/admin.py	2019-04-11 15:20:33 +0000
@@ -24,7 +24,7 @@
 
 class ImageAdmin(admin.ModelAdmin):
     readonly_fields = ('content_object', 'content_type', 'object_id')
-    list_display = ('__unicode__', 'date_submitted', 'content_type', 'user')
+    list_display = ('__str__', 'date_submitted', 'content_type', 'user')
     list_filter = ('date_submitted',)
     date_hierarchy = 'date_submitted'
     search_fields = ('image', 'user__username')

=== modified file 'wlimages/models.py'
--- wlimages/models.py	2019-03-31 11:08:21 +0000
+++ wlimages/models.py	2019-04-11 15:20:33 +0000
@@ -78,7 +78,7 @@
 
     objects = ImageManager()
 
-    def __unicode__(self):
+    def __str__(self):
         return self.name
 
     def get_content_object(self):

=== modified file 'wlimages/views.py'
--- wlimages/views.py	2019-04-11 15:06:09 +0000
+++ wlimages/views.py	2019-04-11 15:20:33 +0000
@@ -37,7 +37,7 @@
 
     # Get the App (model) to which this image belongs to:
     app = ContentType.objects.get(id=content_type)
-    # Get the current object's name (provided by __unicode__()) from this model
+    # Get the current object's name (provided by __str__()) from this model
     name = app.get_object_for_this_type(id=object_id)
 
     return render(request, 'wlimages/upload.html', {

=== modified file 'wlmaps/models.py'
--- wlmaps/models.py	2019-04-11 15:06:09 +0000
+++ wlmaps/models.py	2019-04-11 15:20:33 +0000
@@ -44,7 +44,7 @@
     def get_absolute_url(self):
         return reverse('wlmaps_view', kwargs={'map_slug': self.slug})
 
-    def __unicode__(self):
+    def __str__(self):
         return '%s by %s' % (self.name, self.author)
 
     def save(self, *args, **kwargs):

=== modified file 'wlpoll/models.py'
--- wlpoll/models.py	2019-04-11 15:06:09 +0000
+++ wlpoll/models.py	2019-04-11 15:20:33 +0000
@@ -37,7 +37,7 @@
     def get_absolute_url(self):
         return reverse('wlpoll_detail', kwargs={'pk': self.id})
 
-    def __unicode__(self):
+    def __str__(self):
         return self.name
 
 
@@ -46,7 +46,7 @@
     choice = models.CharField(max_length=256)
     votes = models.PositiveIntegerField(default=0)
 
-    def __unicode__(self):
+    def __str__(self):
         return "%i:%s" % (self.votes, self.choice)
 
 

=== modified file 'wlscreens/models.py'
--- wlscreens/models.py	2019-04-11 15:06:09 +0000
+++ wlscreens/models.py	2019-04-11 15:20:33 +0000
@@ -38,7 +38,7 @@
 
         return super(Category, self).save(*args, **kwargs)
 
-    def __unicode__(self):
+    def __str__(self):
         return "%s" % self.name
 
 
@@ -114,5 +114,5 @@
             pass
 
 
-    def __unicode__(self):
+    def __str__(self):
         return "%s:%s" % (self.category.name, self.name)

